-- MySQL dump 10.13  Distrib 5.1.41, for debian-linux-gnu (i486)
--
-- Host: 127.0.0.1    Database: DB_Cinema
-- ------------------------------------------------------
-- Server version	5.1.41-3ubuntu12.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `Attore`
--

DROP TABLE IF EXISTS `Attore`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Attore` (
  `CodAttore` int(10) unsigned NOT NULL DEFAULT '0',
  `Cognome` varchar(45) NOT NULL,
  `Nome` varchar(45) NOT NULL,
  `Sesso` char(1) NOT NULL,
  `DataNascita` date NOT NULL DEFAULT '0000-00-00',
  `Nazionalita` varchar(45) NOT NULL,
  PRIMARY KEY (`CodAttore`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Attore`
--

LOCK TABLES `Attore` WRITE;
/*!40000 ALTER TABLE `Attore` DISABLE KEYS */;
INSERT INTO `Attore` VALUES (1,'Oldman','Gary','M','1958-03-21','Inghilterra'),(3,'Kidman','Nicole','F','1967-06-20','Stati Uniti'),(4,'Reno','Jean','M','1948-07-30','Francia'),(5,'Barrymore','Drew','F','1975-02-22','Stati Uniti'),(6,'Bloom','Orlando','M','1977-01-13','Inghilterra'),(7,'Foster','Jodie','F','1962-11-19','Stati Uniti'),(8,'Gibson','Mel','M','1956-01-03','Stati Uniti'),(9,'Portman','Natalie','F','1981-06-09','Israele'),(10,'Malkovich','John','M','1953-09-12','Stati Uniti'),(11,'Costner','Kevin','M','1955-01-18','Stati Uniti'),(13,'Hoffman','Dustin','M','1937-08-08','Stati Uniti'),(14,'Shyamalan','M.Night','M','1970-08-06','India');
/*!40000 ALTER TABLE `Attore` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Film`
--

DROP TABLE IF EXISTS `Film`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Film` (
  `CodFilm` int(10) unsigned NOT NULL DEFAULT '0',
  `Titolo` varchar(45) NOT NULL,
  `CodRegista` int(10) unsigned NOT NULL DEFAULT '0',
  `Anno` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`CodFilm`),
  KEY `fk_Film_1` (`CodRegista`),
  CONSTRAINT `fk_Film_1` FOREIGN KEY (`CodRegista`) REFERENCES `Regista` (`CodRegista`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Film`
--

LOCK TABLES `Film` WRITE;
/*!40000 ALTER TABLE `Film` DISABLE KEYS */;
INSERT INTO `Film` VALUES (1,'Leon',8,1994),(2,'JFK _ Un caso ancora aperto',11,1991),(3,'Dracula',12,1992),(4,'The others',9,2001),(5,'Ritratto di signora',10,1996),(6,'Il codice da Vinci',7,2006),(7,'ET',6,1982),(8,'Le crociate',5,2005),(9,'Black Hawk Down',5,2001),(10,'Inside man',3,2006),(11,'Contact',4,1997),(12,'Signs',1,2002),(13,'Braveheart _ Cuore impavido',2,1995),(14,'Tootsie',13,1982),(15,'Le grand bleu',8,1988);
/*!40000 ALTER TABLE `Film` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Interpretazione`
--

DROP TABLE IF EXISTS `Interpretazione`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Interpretazione` (
  `CodFilm` int(10) unsigned NOT NULL DEFAULT '0',
  `CodAttore` int(10) unsigned NOT NULL DEFAULT '0',
  `Personaggio` varchar(45) NOT NULL,
  `SessoPersonaggio` char(1) NOT NULL,
  PRIMARY KEY (`CodFilm`,`CodAttore`,`Personaggio`),
  KEY `fk_Interpretazione_1` (`CodAttore`),
  KEY `fk_Interpretazione_2` (`CodFilm`),
  CONSTRAINT `fk_Interpretazione_1` FOREIGN KEY (`CodAttore`) REFERENCES `Attore` (`CodAttore`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Interpretazione_2` FOREIGN KEY (`CodFilm`) REFERENCES `Film` (`CodFilm`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Interpretazione`
--

LOCK TABLES `Interpretazione` WRITE;
/*!40000 ALTER TABLE `Interpretazione` DISABLE KEYS */;
INSERT INTO `Interpretazione` VALUES (1,1,'Stansfield','M'),(1,4,'Leon','M'),(1,9,'Matilde','F'),(2,1,'Lee Harvey Oswald','M'),(2,11,'Jim Garrison','M'),(3,1,'Dracula','M'),(4,3,'Grace','F'),(5,3,'Isabel Archer','F'),(5,10,'Gilbert Osmond','M'),(6,4,'Bezu Fache','M'),(7,5,'Gertie','F'),(8,6,'Balian','M'),(9,6,'Todd Blackburn','M'),(10,7,'Madeleine White','F'),(11,7,'Ellie Arroway','F'),(12,8,'Graham Hess','M'),(12,14,'Ray Reddy','M'),(13,8,'William Wallace','M'),(14,13,'Dorothy Michaels','F'),(14,13,'Michael Dorsey','M'),(15,4,'Enzo Molinari','M');
/*!40000 ALTER TABLE `Interpretazione` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Noleggio`
--

DROP TABLE IF EXISTS `Noleggio`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Noleggio` (
  `CodFilm` int(10) unsigned NOT NULL DEFAULT '0',
  `IncassoVideo` int(10) unsigned NOT NULL DEFAULT '0',
  `IncassoDVD` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`CodFilm`),
  KEY `fk_Noleggio_1` (`CodFilm`),
  CONSTRAINT `fk_Noleggio_1` FOREIGN KEY (`CodFilm`) REFERENCES `Film` (`CodFilm`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Noleggio`
--

LOCK TABLES `Noleggio` WRITE;
/*!40000 ALTER TABLE `Noleggio` DISABLE KEYS */;
INSERT INTO `Noleggio` VALUES (1,800,100),(2,850,50),(3,1100,250),(4,400,600),(5,500,500),(6,0,0),(7,800,0),(8,200,1200),(9,450,600),(10,0,0),(11,600,800),(12,250,600),(13,800,150),(14,950,100);
/*!40000 ALTER TABLE `Noleggio` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Produzione`
--

DROP TABLE IF EXISTS `Produzione`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Produzione` (
  `CasaProduzione` varchar(45) NOT NULL DEFAULT '',
  `Nazionalita` varchar(45) NOT NULL,
  `CodFilm` int(10) unsigned NOT NULL DEFAULT '0',
  `Costo` int(10) unsigned NOT NULL DEFAULT '0',
  `IncassoSala` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`CodFilm`),
  KEY `fk_Produzione_1` (`CodFilm`),
  CONSTRAINT `fk_Produzione_1` FOREIGN KEY (`CodFilm`) REFERENCES `Film` (`CodFilm`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Produzione`
--

LOCK TABLES `Produzione` WRITE;
/*!40000 ALTER TABLE `Produzione` DISABLE KEYS */;
INSERT INTO `Produzione` VALUES ('Gaumont','Francia',1,1000,1500),('A Kitman Ho','Stati Uniti',2,2500,1800),('Columbia _ Tri Star','Stati Uniti',3,1200,1200),('Cruise _ Wagner Productions','Francia',4,1000,1500),('Steve Golin','Stati Uniti',5,1800,1600),('Columbia Pictures Corporation','Stati Uniti',6,2500,0),('Steven Spielberg','Stati Uniti',7,1000,3500),('20th Century Fox','Stati Uniti',8,2500,2800),('Columbia _ Tri Star','Stati Uniti',9,1800,1750),('Universal Pictures','Stati Uniti',10,1200,0),('South Side Amusement Company','Stati Uniti',11,1500,1500),('Buena Vista','Stati Uniti',12,1200,1800),('20th Century Fox','Stati Uniti',13,2200,2500),('Columbia Pictures Corporation','Stati Uniti',14,1500,2500);
/*!40000 ALTER TABLE `Produzione` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Regista`
--

DROP TABLE IF EXISTS `Regista`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Regista` (
  `CodRegista` int(10) unsigned NOT NULL DEFAULT '0',
  `Cognome` varchar(45) NOT NULL,
  `Nome` varchar(45) NOT NULL,
  `Sesso` char(1) NOT NULL,
  `DataNascita` date NOT NULL DEFAULT '0000-00-00',
  `Nazionalita` varchar(45) NOT NULL,
  PRIMARY KEY (`CodRegista`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Regista`
--

LOCK TABLES `Regista` WRITE;
/*!40000 ALTER TABLE `Regista` DISABLE KEYS */;
INSERT INTO `Regista` VALUES (1,'Shyamalan','M.Night','M','1970-08-06','India'),(2,'Gibson','Mel','M','1956-01-03','Stati Uniti'),(3,'Lee','Spike','M','1957-03-20','Stati Uniti'),(4,'Zemeckis','Robert','M','1952-05-14','Stati Uniti'),(5,'Scott','Ridley','M','1937-11-30','Inghilterra'),(6,'Spielberg','Steven','M','1946-12-18','Stati Uniti'),(7,'Howard','Ron','M','1954-03-01','Stati Uniti'),(8,'Besson','Luc','M','1959-03-18','Francia'),(9,'Amenabar','Alejandro','M','1972-03-31','Cile'),(10,'Campion','Jane','M','1954-04-30','Nuova Zelanda'),(11,'Stone','Oliver','M','1946-09-15','Stati Uniti'),(12,'Coppola','Francis Ford','M','1939-04-07','Stati Uniti'),(13,'Pollack','Sidney','M','1934-07-01','Stati Uniti');
/*!40000 ALTER TABLE `Regista` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-05-28 10:06:29
